Skip to content

管理院系数据

该API提供学校管理院系数据。管理院系是指学生学籍所在院系,其中不包含不招生的院系、往年招过生但当前已没有在读学生的院系。

支持的模式

  • client_credentials

请求方法

GET

请求地址

https://api.ecnu.edu.cn/api/v2/administration/mngtdepartment

请求参数

参数名是否必填备注
pageNum分页第几页,从 1 开始
pageSize每页的数量,每次请求小于等于 2000

返回参数

参数名类型备注
dept_codestring院系代码
dept_namestring院系名称

请求示例

bash
curl -i -H "Authorization: Bearer e447e4b4b8e23973b42c44b8d5415603" "https://api.ecnu.edu.cn/api/v2/administration/mngtdepartment?pageNum=1&pageSize=10"

返回示例

json
{
    "data": {
        "totalNum": 45,
        "pageSize": 10,
        "rows": [
            {
                "dept_code": "0***",
                "dept_name": "外*****"
            },
            {
                "dept_code": "0***",
                "dept_name": "体育*******"
            },
            {
                "dept_code": "0***",
                "dept_name": "生*******"
            },
            {
                "dept_code": "0***",
                "dept_name": "国*******"
            },
            {
                "dept_code": "0***",
                "dept_name": "传********"
            },
            {
                "dept_code": "0***",
                "dept_name": "设***"
            },
            {
                "dept_code": "0*****",
                "dept_name": "中***"
            },
            {
                "dept_code": "0*****",
                "dept_name": "历***"
            },
            {
                "dept_code": "0*****",
                "dept_name": "哲***"
            },
            {
                "dept_code": "0*****",
                "dept_name": "政***(人文*******)"
            }
        ],
        "pageNum": 1
    },
    "errCode": 0,
    "requestId": "00f33eb5d946ae6ed62b5f67743af2d5",
    "errMsg": "success",
    "apiLog": null
}